E-MailRelay

Public Member Functions | List of all members
GSmtp::StoredMessageStub Class Reference

A StoredMessage class that does nothing and can be used as a placeholder. More...

`#include <gstoredmessage.h>`

Inheritance diagram for GSmtp::StoredMessageStub:

## Public Member Functions
| StoredMessageStub ()
| Constructor.
| ~StoredMessageStub () override
| Destructor.
| StoredMessageStub (const StoredMessageStub &)=delete
| StoredMessageStub (StoredMessageStub &&)=delete
void | operator= (const StoredMessageStub &)=delete
void | operator= (StoredMessageStub &&)=delete
Public Member Functions inherited from GSmtp::StoredMessage
virtual MessageId | id () const =0
| Returns the message identifier. More...
virtual std::string | location () const =0
| Returns the message location.
virtual std::string | from () const =0
| Returns the envelope 'from' field.
virtual std::string | to (std::size_t) const =0
| Returns the requested envelope non-local recipient or the empty string if out of range.
virtual std::size_t | toCount () const =0
| Returns the number of non-local recipients.
virtual std::istream & | contentStream ()=0
| Returns a reference to the content stream.
virtual void | close ()=0
| Releases the message to allow external editing.
virtual std::string | reopen ()=0
| Reverses a close(), returning the empty string on success or an error reason.
virtual void | destroy ()=0
| Deletes the message within the store.
virtual void | edit (const G::StringArray &new_to_list)=0
| Edits the message by updating the list of non-local recipients to the given non-empty list. More...
virtual void | fail (const std::string &reason, int reason_code)=0
| Marks the message as failed within the store. More...
virtual void | unfail ()=0
| Marks the message as unfailed within the store.
virtual int | eightBit () const =0
| Returns 1 if the message content (header+body) contains a character with the most significant bit set, or 0 if no such characters, or -1 if unknown.
virtual std::string | authentication () const =0
| Returns the original session authentication id.
virtual std::string | fromAuthIn () const =0
| Returns the incoming "mail from" auth parameter, either empty, xtext-encoded or "<>".
virtual std::string | fromAuthOut () const =0
| Returns the outgoing "mail from" auth parameter, either empty, xtext-encoded or "<>".
virtual | ~StoredMessage ()=default
| Destructor.

## Detailed Description

A StoredMessage class that does nothing and can be used as a placeholder.

Definition at line 109 of file gstoredmessage.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gstoredmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gstoredmessage.cpp